Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class Group

java.lang.Object
ru.bitel.bgbilling.kernel.bgsecure.common.bean.Group

All Implemented Interfaces:
  `ListItem`

public final class Group extends Object implements ListItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Group()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `long`
  `getContractGroups()`
  `int`
  `getContractGroupsMode()`
  `int`
  `getId()`
  `int`
  `getMenuId()`
  `List<String>`
  `getRuleAccessContractParameter()`
  `List<String>`
  `getRuleAccessObjectParameter()`
  `String`
  `getTitle()`
  `Group`
  `setComment(String comment)`
  `Group`
  `setContractGroups(long contractGroups)`
  `Group`
  `setContractGroupsMode(int contractGroupsMode)`
  `Group`
  `setId(int id)`
  `Group`
  `setMenuId(int menuId)`
  `Group`
  `setRuleAccessContractParameter(List<String> ruleAccessContractParameter)`
  `Group`
  `setRuleAccessObjectParameter(List<String> ruleAccessObjectParameter)`
  `Group`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Group

    public Group()

- ## Method Details

  - ### getRuleAccessObjectParameter

    public List<String> getRuleAccessObjectParameter()

  - ### setRuleAccessObjectParameter

    public Group setRuleAccessObjectParameter(List<String> ruleAccessObjectParameter)

  - ### getRuleAccessContractParameter

    public List<String> getRuleAccessContractParameter()

  - ### setRuleAccessContractParameter

    public Group setRuleAccessContractParameter(List<String> ruleAccessContractParameter)

  - ### getContractGroups

    public long getContractGroups()

  - ### setContractGroups

    public Group setContractGroups(long contractGroups)

  - ### getContractGroupsMode

    public int getContractGroupsMode()

  - ### setContractGroupsMode

    public Group setContractGroupsMode(int contractGroupsMode)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public Group setId(int id)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public Group setTitle(String title)

  - ### getComment

    public String getComment()

  - ### setComment

    public Group setComment(String comment)

  - ### getMenuId

    public int getMenuId()

  - ### setMenuId

    public Group setMenuId(int menuId)